steps:
  create-book:
    image: peaceiris/mdbook:v0.4.30
    commands:
      - mdbook init --theme light
      - mdbook build
  build_and_release:
    image: maltegrosse/woodpecker-buildah:0.0.12
    settings:
      registry: git.sandbox.iuk.hdm-stuttgart.de
      repository: grosse/sandbox-docs-public
      tag: latest
      architectures: amd64
      context: Dockerfile
      imagename: sandbox-docs-public
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password


